Add Custom Domain | ZITADEL Docs

Add Custom Domain

Adds a Custom Domain to the instance. The Custom Domain must be unique across all instances. Once the domain is added, it will be used to route requests to this instance. This method requires system level permissions and cannot be called from an instance context.

Required permissions:

POST

/zitadel.instance.v2.InstanceService/AddCustomDomain

Send

Header

Header Parameters

Request Body

Format: application/json

TypeScript Definitions

Use the request body type in TypeScript.

{
  "instanceId": "string",
  "customDomain": "string"
}

Response Body

200 application/json

{
  "creationDate": "2023-01-15T01:30:15.01Z"
}

default application/json

{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

cURL Example

curl -X POST "https://example.com/zitadel.instance.v2.InstanceService/AddCustomDomain" \
  -H "Connect-Protocol-Version: 1" \
  -H "Content-Type: application/json" \
  -d '{
    "instanceId": "string",
    "customDomain": "string"
  }'